using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace JiShe.CollectBus.Common.Enums
{
    public enum F25DataItemEnum
    {
        [Description("终端抄表时间")]
        ReadingTime = 0,
        //Current
        [Description("当前总有功功率")]
        CrntTotalActivePower = 5,
        [Description("当前A相有功功率")]
        CrntActivePowerOfA = 8,
        [Description("当前B相有功功率")]
        CrntActivePowerOfB = 11,
        [Description("当前C相有功功率")]
        CrntActivePowerOfC = 14,
        [Description("当前总无功功率")]
        CrntTotalReactivePower =17,
        [Description("当前A相无功功率")]
        CrntReactivePowerOfA = 20,
        [Description("当前B相无功功率")]
        CrntReactivePowerOfB = 23,
        [Description("当前C相无功功率")]
        CrntReactivePowerOfC = 26,
        [Description("当前总功率因数")]
        CrntTotalPowerFactor = 29,
        [Description("当前A相功率因数")]
        CrntPowerFactorOfA = 31,
        [Description("当前B相功率因数")]
        CrntPowerFactorOfB =33,
        [Description("当前C相功率因数")]
        CrntPowerFactorOfC = 35,
        [Description("当前A相电压")]
        CrntVoltageOfA = 37,
        [Description("当前B相电压")]
        CrntVoltageOfB = 39,
        [Description("当前C相电压")]
        CrntVoltageOfC = 41,
        [Description("当前A相电流")]
        CrntCurrentOfA = 43,
        [Description("当前B相电流")]
        CrntCurrentOfB = 46,
        [Description("当前C相电流")]
        CrntCurrentOfC = 49,
        [Description("当前零序电流")]
        CrntZeroSequenceCurrent = 52,
        [Description("当前总视在功率")]
        CrntTotalApparentPower = 55,
        [Description("当前A相视在功率")]
        CrntApparentPowerOfA = 58,
        [Description("当前B相视在功率")]
        CrntApparentPowerOfB = 61,
        [Description("当前C相视在功率")]
        CrntApparentPowerOfC = 64
    }
}
